OVERLAY_SET_ACTIVE(3)

EXPERIMENTAL_FUNC
overlay_set_active - Set active state for a viewable overlay list controlled refresh.

SYNOPSIS
#include <karma_overlay.h>

flag overlay_set_active

(KViewableOverlayList vlist, flag active, flag force_refresh, flag refresh_if_changed, flag exclusive, uaddr key)

DESCRIPTION
Set active state for a viewable overlay list controlled refresh.

vlist
    The viewable overlay list.

active
    If TRUE, the viewable overlist list is made active, else it is made inactive.

force_refresh
    If TRUE, the canvas is always refreshed.

refresh_if_changed
    If TRUE, the canvas is refreshed if the viewable overlay list active state changed.

exclusive
    If TRUE and <<active>> is TRUE, make this viewable overlay list the only active one for this canvas. Other viewable overlay lists for this canvas will be made inactive.

key The key to use for inactivation of other viewable overlay lists. If this is 0 then all other viewable overlay lists will be made inactive.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/